Subject: ADS5121 how to use /dev/ttyPSC

From: Stefan Strobl <[email-masked]>
Date: Wed, 14 Jan 2009 17:47:41 +0100

Hi

I'm new to Kernel 2.6 and OF.

I'm using a ADS5121 board with kernel from denx (ads5121 branch from
linux-2.6-denx). According to my dts file both PSC3 and PSC4 should be
accessible through /dev/ttyPSC0 and /dev/ttyPSC1 respectively.

When I simply try to run: "$ echo "Hello" > /dev/ttyPSC*" I can't see
any data coming out from the ports.
And when trying to initialize the ports using termios commands I'm
getting the Error "Inappropriate ioctl for device".
I'm not even getting a negative voltage on the TX Pin (idle state).
But I can see the driver ttyPSC with major 204 in /proc/devices and I
can also open the device successfully. I am also able to configure
either port as CONSOLE in U-Boot so the Hardware is ok.

Any ideas?
Many thanks,
Stefan